package com.yizhi.assignment.application.feign;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.assignment.application.vo.entity.AssignmentAnswerTipoff;
import com.yizhi.assignment.application.vo.TipoffAssignmentListVO;
import com.yizhi.assignment.application.vo.apivo.ApiAssignmentCommentVO;
import io.swagger.annotations.ApiParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @ClassName AssignmentExpriceBookController
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2019-10-22 11:15
 * @Version 1.0
 */
@FeignClient(value = "assignment", contextId = "ManageAssignmentExerciseBookClient")
public interface ManageAssignmentExerciseBookClient {

    @GetMapping("/remote/manage/assignment/exerciseBook/answer/down")
    public boolean answerDown(@RequestParam("answerId") Long answerId, @RequestParam("isDown") Integer isDown);

    @GetMapping("/remote/manage/assignment/exerciseBook/answer/delete")
    public boolean answerDelete(@RequestParam("answerId") Long answerId);

    @GetMapping("/remote/manage/assignment/exerciseBook/comment/page")
    public Page<ApiAssignmentCommentVO> commentPage(
            @RequestParam("assignmentAnswerId") Long assignmentAnswerId,
            @ApiParam("要跳转的页数") @RequestParam(name = "pageNo", defaultValue = "1") int pageNo,
            @ApiParam("每页条数，默认：10") @RequestParam(name = "pageSize", defaultValue = "10") int pageSize
    );


    @GetMapping("/remote/manage/assignment/exerciseBook/comment/delete")
    boolean commentDelete(@RequestParam("commentId") Long commentId);

    @GetMapping("/remote/manage/assignment/exerciseBook/comment/audit")
    public boolean commentAudit(@RequestParam("commentId") Long commentId, @RequestParam("auditStatus") Integer auditStatus);

    @GetMapping("/remote/manage/assignment/exerciseBook/tipoff/answer/page")
    public Page<TipoffAssignmentListVO> tipoffAnswerPage(
            @RequestParam("assignmentName") String assignmentName,
            @ApiParam("要跳转的页数") @RequestParam(name = "pageNo", defaultValue = "1") int pageNo,
            @ApiParam("每页条数，默认：10") @RequestParam(name = "pageSize", defaultValue = "10") int pageSize);

    @GetMapping("/remote/manage/assignment/exerciseBook/tipoff/page")
    public Page<AssignmentAnswerTipoff> tipoffPage(
            @RequestParam("answerId") Long answerId,
            @ApiParam("要跳转的页数") @RequestParam(name = "pageNo", defaultValue = "1") int pageNo,
            @ApiParam("每页条数，默认：10") @RequestParam(name = "pageSize", defaultValue = "10") int pageSize);

    @GetMapping("/remote/manage/assignment/exerciseBook/tipoff/remove")
    public Boolean tipoffRemove(
            @RequestParam("tipoffId") Long tipoffId);

    @GetMapping("/remote/manage/assignment/exerciseBook/comment/export")
    public String commentExport(@RequestParam("answerId") Long answerId);

}
