package com.yizhi.assignment.application.feign;

import com.yizhi.assignment.application.vo.MinimbaStudyRecordVO;
import com.yizhi.assignment.application.vo.MinimbaUserDetailParamVO;
import com.yizhi.assignment.application.vo.MinimbaUserDetailVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * 复旦minimba feign接口
 *
 * @author dingxiaowei
 */
@FeignClient(name = "assignment", contextId = "MinimbaClient")
public interface MinimbaClient {

    /**
     * 复旦minimba项目获取用户打卡,点赞信息
     *
     * @param paramVO
     * @return
     */
    @PostMapping("/remote/assignment/minimba/userDetails")
    MinimbaUserDetailVO getUserDetails(@RequestBody MinimbaUserDetailParamVO paramVO);

    /**
     * 点一个项目,该用户的学习记录
     * @param projectId
     * @return
     */
    @GetMapping("/remote/assignment/minimba/studyingRecords")
    List<MinimbaStudyRecordVO> getProjectStudyingRecords(@RequestParam("projectId") Long projectId);


}
