/**
 * Project Name:cloud-assignment
 * File Name:AssignmentCommentVO.java
 * Package Name:com.yizhi.application.vo
 * Date:2018年3月7日下午6:11:11
 * Copyright (c) yizhi.
 *
*/

package com.yizhi.assignment.application.vo;

import java.util.List;

import com.yizhi.assignment.application.vo.entity.AssignmentAnswerFile;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * ClassName:AssignmentCommentVO
 * 作业批阅VO
 * Date:     2018年3月7日 下午6:11:11 
 * @author   lilingye
 * @version  
 * @since    JDK 1.8 
 */
@Data
@Api(tags = "AssignmentAnswerContentVO", description = "老师批阅作业")
public class AssignmentAnswerContentVO {
	
	/*
	 * answerId 作业提交id;
	 */
	@ApiModelProperty(name="answerId",value = "作业提交id",required=true)
	private Long answerId;
	/*
	 * 作业分数
	 */
	@ApiModelProperty(name="score",value = "作业分数",required=true)
	private Integer score;
	
	/*
	 * 评语
	 */
	@ApiModelProperty(name="comment",value = "评语",required=false)
	private String comment;

	/**
	 * 文件路径
	 */
	@ApiModelProperty(name="反馈文件的路径",required=false)
	private List<AssignmentAnswerFile> listFeedBackFiles;
	

	@ApiModelProperty(name="accountId",value = "用户id,前端不传",required=false)
	private Long accountId;
	
	@ApiModelProperty(name="accountName",value = "用户姓名,前端不传",required=false)
	private String accountName;

}

