package com.yizhi.assignment.application.vo.apivo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 学员端作业vo
 *
 * @Author: wangfeida
 * @Date: 2018/9/5 20:01
 */
@Data
@Api(tags = {"学员端作业答案列表"}, description = "学员端作业答案列表")
public class ApiAssignmentAnswerResultVo implements Serializable {

    private static final long serialVersionUID = 1L;
    
    @ApiModelProperty(notes = "作业id")
    private Long id;

    @ApiModelProperty(notes = "作业名称")
    private String assignmentName;
    

    @ApiModelProperty(notes = "作业内容（作业要求）")
    private String assignmentContent;
    
    
    @ApiModelProperty(notes = "所属培训项目名称")
    private String projectName;
    
    
    @ApiModelProperty(notes = "作业截止时间")
    private Date finishTime;
    
    
    @ApiModelProperty(notes = "上传次数")
    private Integer count;
    
    @ApiModelProperty(notes="已经提交的次数")
    private Integer submitCount;
    
    @ApiModelProperty(notes="是否允许补交amendable是否支持补交(0：否，1：是） ")
    private Integer amendable;
    
    
    @ApiModelProperty(notes = "合格分")
    private Integer passScore;
    
    @ApiModelProperty(notes="是否合格1 合格 2不合格")
    private Integer isPass;
    
    
    @ApiModelProperty(notes="是否逾期  1没有逾期  2逾期")
    private Integer isOverDue;
    
    
    @ApiModelProperty(notes="显示分数还是评阅中 1显示分数  2 显示字符串（评阅中）3等级制     都是 tag取值")
    private Integer isScoreOrResult;
    
    @ApiModelProperty(notes = "作业评语")
    private String suggestion;
    
    @ApiModelProperty(notes = "提交时间")
    private Date commitTime;
    
    
    @ApiModelProperty(notes="标签")
    private String tag;
    
    
    @ApiModelProperty(notes = "作业上传文件清单")
    private List<ApiFileVo> fileList;
    
    
    @ApiModelProperty(notes="作业答案列表")
    private List<ApiAssignmentAnswerVo> answerResultList;
    

}
