package com.yizhi.assignment.application.vo.apivo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName ApiAssignmentCommentVO
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2019-10-22 15:38
 * @Version 1.0
 */
@ApiModel("评论VO")
@Data
public class ApiAssignmentCommentVO {

    @ApiModelProperty("评论id")
    private Long commentId;

    @ApiModelProperty("评论内容")
    private String content;

    @ApiModelProperty("当前评论人名称")
    private String createByName;

    @ApiModelProperty("回复对象的名称(空字符串的话则不是回复)")
    private String parentCreateByName = "";

    @ApiModelProperty("评论时间")
    private Date createTime;

    @ApiModelProperty(value = "审核状态：0通过，1下架（默认通过）")
    private Integer auditStatus;

    @JsonIgnore
    private String auditStatusStr;

    @ApiModelProperty("评论人")
    private String manageCommentator;

    @ApiModelProperty("姓名")
    private String manageCommentatorFullName;

    public String getAuditStatusStr() {
        if (auditStatus != null) {
            if (auditStatus.equals(0)) {
                return  "已上架";
            } else {
                return  "已下架";
            }
        }
        return "";
    }

    public void setAuditStatusStr(String auditStatusStr) {
        if (auditStatus != null) {
            if (auditStatus.equals(0)) {
                this.auditStatusStr = "已上架";
            } else {
                this.auditStatusStr = "已下架";
            }
        }
    }
}
