package com.yizhi.assignment.application.vo.apivo;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.yizhi.assignment.application.vo.entity.AssignmentAnswerFile;
import com.yizhi.assignment.application.vo.entity.AssignmentFile;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: shengchenglong
 * @Date: 2018/3/9 18:47
 */
@Data
@Api(tags = {"作业评语vo"}, description = "作业评语vo")
public class ApiSuggestionVo {

	
	@ApiModelProperty(notes="作业id，不是答案id")
	private Long id;
	
	@ApiModelProperty(notes="作业name")
	private String assignmentName;
	
	@ApiModelProperty(notes="指定完成时间")
	private Date finishTime;
	
	@ApiModelProperty(notes="状态 评阅状态(1:待阅,2:已阅)")
	private Integer status;
	
	@ApiModelProperty(notes="评分类型(1：打分制，2：等级制)")
	private Integer type;
	
	@ApiModelProperty(notes="分数")
	private BigDecimal score;
    
	@ApiModelProperty(notes="提交时间")
	private Date commitTime;
	
    @ApiModelProperty(notes = "等级")
    private String gradeName;

    @ApiModelProperty(notes = "评语")
    private String suggestion;
    
    @ApiModelProperty("老师要求的文件")
    private List<AssignmentFile> assignmentFileList;
    
    @ApiModelProperty("学生答案的文件")
    private List<AssignmentAnswerFile> answerFileList;
    
    @ApiModelProperty("老师反馈的文件")
    private List<AssignmentAnswerFile> backFileList;
}
