package com.yizhi.assignment.application.vo.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学员对作业的对应关系
 * <p>
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
@Data
@Api(tags = "AssignmentAnswer", description = "学员对作业的对应关系 ")
@TableName("assignment_answer")
public class AssignmentAnswer extends Model<AssignmentAnswer> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(notes = "id主键")
    private Long id;

    @ApiModelProperty(notes = "作业id")
    @TableField("assignment_id")
    private Long assignmentId;

    @ApiModelProperty(notes = "真实姓名")
    @TableField("real_name")
    private String realName;

    @ApiModelProperty(notes = "账号id")
    @TableField("account_id")
    private Long accountId;
    
    
    @ApiModelProperty(notes = "用户名")
    @TableField("account_name")
    private String accountName;
    
    @ApiModelProperty(notes = "文字说明")
    private String content;
   

    @ApiModelProperty(notes = "分数")
    private Integer score;
    
    
    @ApiModelProperty(value = "获取积分")
	@TableField("point")
	private Integer Point;

   

    @ApiModelProperty(notes = "评阅人")
    @TableField("auditor_id")
    private Long auditorId;
    
    @ApiModelProperty(notes = "评阅时间")
    @TableField("auditor_time")
    private Date auditorTime;
    
    
    @ApiModelProperty(notes = "评阅状态(1:待阅,2:已阅)")
    private Integer status;
    
    
    @ApiModelProperty(notes="答案来源（1本地2做课）")
    @TableField("source")
    private Integer source;
    
    @ApiModelProperty(notes = "公司id")
    @TableField("company_id")
    private Long companyId;

   

    @ApiModelProperty(notes = "站点id")
    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty(notes = "部门id")
    @TableField("org_id")
    private Long orgId;

    @ApiModelProperty(notes = "创建人id")
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @ApiModelProperty(notes = "创建人姓名")
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @ApiModelProperty(notes = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(notes = "修改人id")
    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @ApiModelProperty(notes = "修改人姓名")
    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    @ApiModelProperty(notes = "修改时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;
    
    @ApiModelProperty(notes="答案文件的zip包")
    @TableField(value="answer_file_zip")
    private String answerFileZip;

    @ApiModelProperty(notes="是否是下架，0：否，1：是")
    @TableField("is_down")
    private Integer isDown;

    @ApiModelProperty("是否删除")
    private Integer deleted;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
