package com.yizhi.assignment.application.vo.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 一个学员对一个作业的回复内容
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
@Data
@Api(tags = "AssignmentAnswerCourse", description = "一个学员对一个作业的回复内容")
@TableName("assignment_answer_course")
public class AssignmentAnswerCourse extends Model<AssignmentAnswerCourse> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(notes = "id主键")
    private Long id;

    @ApiModelProperty(notes = "作业提交id")
    @TableField("answer_id")
    private Long answerId;

    @ApiModelProperty(notes = "素材id")
    @TableField("mid")
    private Long mid;

    @ApiModelProperty(notes = "创建人id")
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @ApiModelProperty(notes = "创建人姓名")
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @ApiModelProperty(notes = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(notes = "修改人id")
    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @ApiModelProperty(notes = "修改人姓名")
    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    @ApiModelProperty(notes = "修改时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
