package com.yizhi.assignment.application.vo.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 作业和评阅人的对应关系
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
@Data
@Api(tags = "AssignmentAuditor", description = "作业和评阅人的对应关系")
@TableName("assignment_auditor")
public class AssignmentAuditor extends Model<AssignmentAuditor> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(notes = "id主键")
    private Long id;

    @ApiModelProperty(notes = "作业id")
    @TableField("assignment_id")
    private Long assignmentId;

    @ApiModelProperty(notes = "账号id")
    @TableField("account_id")
    private Long accountId;

    @ApiModelProperty(notes = "创建人id")
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @ApiModelProperty(notes = "创建人姓名")
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @ApiModelProperty(notes = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
