package com.yizhi.application.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学员对作业回复可以是文件，存放学员的作业回复的文件的地址
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
@Data

@TableName("assignment_answer_file")
public class AssignmentAnswerFile extends Model<AssignmentAnswerFile> {

    private static final long serialVersionUID = 1L;


    
    private Long id;

    
    @TableField("anwser_id")
    private Long anwserId;

    
    private Integer type;

    
    @TableField("file_url")
    private String fileUrl;

    
    @TableField("file_name")
    private String fileName;

    
    private String suffix;
    
    
    private String size;
    
    
    private String png;

    
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField("video_ld")
    private String videoLd;

    @TableField("video_sd")
    private String videoSd;

    @TableField("video_hd")
    private String videoHd;

    
    @TableField(value = "is_video")
    private Integer isVideo;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
