package com.yizhi.application.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import com.yizhi.util.application.sensitive.annotation.SensitiveWords;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 培训项目 - 评论回复
 * </p>
 *
 * @author shengchenglong
 * @since 2018-03-27
 */
@Data

@TableName("comment_reply")
public class CommentReply extends Model<CommentReply> {

    private static final long serialVersionUID = 1L;


    
    private Long id;

    
    @TableField("comment_id")
    private Long commentId;

    
    @TableField("assignment_answer_id")
    private Long assignmentAnswerId;

    @SensitiveWords
    
    private String content;

    
    @TableField("audit_status")
    private String auditStatus;

    
    @TableField("auditor_id")
    private Long auditorId;

    
    @TableField("auditor_time")
    private Date auditorTime;

    
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    
    @TableField(value = "create_by_full_name")
    private String createByFullName;

    
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    
    @TableField("site_id")
    private Long siteId;

    
    @TableField("org_id")
    private Long orgId;

    
    @TableField("company_id")
    private Long companyId;

    
    @TableField("user_avatar")
    private String userAvatar;

    
    @TableField("parent_account_id")
    private Long parentAccountId;

    
    @TableField("parent_account_fullName")
    private String parentAccountFullName;

    
    @TableField("parent_account_name")
    private String parentAccountName;

    
    @TableField("reply_parent_id")
    private Long replyParentId;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
    
    
    @TableField("state")
    private Integer state;
}
