package com.yizhi.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.application.entity.AssignmentAnswerTipoff;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.Date;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author shengchenglong123
 * @since 2019-10-22
 */
public interface AssignmentAnswerTipoffMapper extends BaseMapper<AssignmentAnswerTipoff> {

    @Select("select is_new from " +
            "assignment_answer_tipoff " +
            "where assignment_answer_id = #{answerId} " +
            "order by create_time desc " +
            "limit 1")
    Integer lastIsNew(@Param("answerId") Long answerId);

    @Update("update assignment_answer_tipoff " +
            "set is_new = 0 " +
            "where assignment_answer_id = #{answerId}")
    Integer updateNotNew(@Param("answerId") Long answerId);

    @Select("select create_time " +
            "from assignment_answer_tipoff " +
            "where assignment_answer_id = #{answerId} " +
            "order by create_time desc " +
            "limit 1")
    Date getLastTipoffTime(@Param("answerId") Long answerId);

}
