package com.yizhi.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.application.entity.Assignment;
import com.yizhi.assignment.application.vo.*;
import com.yizhi.assignment.application.vo.apivo.ApiAssignmentListResultVO;
import com.yizhi.assignment.application.vo.apivo.ApiAssignmentVO;
import com.yizhi.assignment.application.vo.apivo.AssignmentTrainingProject;
import com.yizhi.assignment.application.vo.apivo.ToOthersApi;
import com.yizhi.core.application.vo.DroolsVo;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 老师布置作业的主表 服务类
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
public interface AssignmentService extends IService<Assignment> {
	
	
	

	Page<ApiAssignmentListResultVO> listUnfinishedAssignment(int pageNo, int pageSize,Long accountId,List<Long> relationIds,Long companyId,Long siteId);

	Page<ApiAssignmentListResultVO> listFinishedAssignment(int pageNo, int pageSize,Long accountId,List<Long> relationIds,Long companyId,Long siteId);
	
	
	
	ApiAssignmentVO  getAssignment(Long assignmentId,Long accountId);
	

	/**
	 * 新建作业保存/修改作业                       管理端----2018/09/18
	 * @param assignmentVo
	 * @return
	 */
	Boolean save(AssignmentSaveParamVo assignmentVo);

	/**
	 * 管理端显示作业列表                             管理端-----2018/09/18
	 * @param name
	 * @param pageNo
	 * @param pageSize
	 * @return
	 */
	Page<Assignment> assignmentList(String currentTime, AssignmentListVoTo assignmentListVoTo);


	/**
	 * 删除作业
	 * 
	 * @param assignmentId
	 * @return
	 */
	Boolean updateDelete(AssignmentDeleteVO assignmentDelete);

	

	
	
	/**
	 * 根据条件查询所有作业                                           学员端---2018、09、08
	 *
	 * @param pageNo
	 * @param pageSize
	 * @return
	 */
	Page<ApiAssignmentListResultVO> listAllAssignmentByName(String name,int pageNo, int pageSize,Long accountId,List<Long> relationIds,Long siteId);

	
	/**
	 * 作业上下架接口
	 * @param id
	 * @return 
	 */
	Boolean update(Long id,Integer status,Long accountId,String accountName);
	
	
	/**
	 * 查看总记录数
	 */
	//Integer sumNum(String name,Long siteId);
	
	
	/**
	 * 根据账号id查到自己账号下的
	 * @param accountId
	 * @return
	 */
	Integer selectAssignmentNumByAccountId(Long accountId);
	
	
	
	
	PointParamVO assignmentReadOverByTeacher(AssignmentAnswerContentVO assignmentAnswerContentVO);
	
	
	/**
	 * 全平台可见的作业个数    已上架  visible_range=1 全平台可见
	 * @param siteId
	 * @return
	 */
	Integer getAssignmentCountQXPT(Long siteId);
	
	
	
	
	
	
	/**
	 * 指定的范围
	 * @param assignmentId
	 * @return
	 */
	AssignmentQXVO getQXSubmitMessage(Long assignmentId);
	
	
	
	
	/**
	 * 给门户用的                                                   学员端-------2018/09/08
	 * @param name
	 * @param pageNo
	 * @param pageSize
	 * @param accountId
	 * @param relationIds
	 * @param siteId
	 * @return
	 */
	List<ToOthersApi> listSearchOthers(String name,int pageNo, int pageSize,Long accountId,List<Long> relationIds,Long siteId);
	
	
	
	/**
	 * 范围人员导出             管理端-------2018/09/19
	 * @param assignmentId
	 * @return
	 */
	public VisibleRangeExport vsibleRangeExport(Long assignmentId);
	
	
	/**
	 * 修改培訓項目信息
	 */
	public boolean updateAssignmentTp(AssignmentTrainingProject atp);
	
	
	
	List<Map<String, Object>> getServerByCompanyIdAndIds(Long companyId,List<Long> ids);
	
	Integer delete(Long assignmentId);
	
    Page<Map<String, Object>> experiencePoolList(String name, List<Long> ids, Integer pageNo, Integer pageSize);

    Page<AssignmentCalendarVO> getPageToCalendar(Date date, Page<Assignment> page);

    Page<DroolsVo> getPageByDrools(String field, String value, Page<DroolsVo> page);
}
