package com.yizhi.application.service;

import com.yizhi.application.entity.AssignmentStudent;
import com.yizhi.assignment.application.vo.ListStudent;
import java.util.List;
import com.baomidou.mybatisplus.service.IService;

/**
 * <p>
 * 老师布置作业和学生进行关联。
多对多的关系。
一个老师布置的作业有多个学生做。 服务类
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
public interface AssignmentStudentService extends IService<AssignmentStudent> {
	
	/**
	 * 添加学员
	 * @param studentList 
	 * @param assignment_id
	 */
	Boolean  add(ListStudent listStudent);

	/**
	 * 添加学员,之前记录不删除
	 *
	 * @param studentList
	 * @param assignment_id
	 */
	Boolean insertStudentRelation(List<AssignmentStudent> assignmentStudents);

	/**
	 * 已经关联的学员名单
	 * @param assignment_id
	 * @return
	 */
	List<AssignmentStudent>  relation(Long assignmentId);
	
	/**
	 * 已关联的总人数
	 * @param assignmentId
	 * @return
	 */
	Integer sumNum(Long assignmentId);
	
	/**
	 * 删除已关联的
	 * @param assignmentId
	 * @return
	 */
	Boolean deleteRelation(Long assignmentId);
	
	
	/**
	 * 根据账号id查询这个账号下的作业个数        学员端---目录页面   2018/09/08 13:13
	 * @param accountId
	 * @return
	 */
	Integer getAssignmentNumByAccountId(List<Long> relationIds,Long siteId,Long accountId);
	
	
	
	
	

}
