package com.yizhi.application.service.impl;

import java.util.ArrayList;
import java.util.List;

import com.yizhi.application.entity.AssignmentAnswerFile;
import com.yizhi.application.mapper.AssignmentAnswerFileMapper;
import com.yizhi.application.service.AssignmentAnswerFileService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.CollectionUtils;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;

/**
 * <p>
 * 学员对作业回复可以是文件，存放学员的作业回复的文件的地址 服务实现类
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
@Service
@Transactional
public class AssignmentAnswerFileServiceImpl extends ServiceImpl<AssignmentAnswerFileMapper, AssignmentAnswerFile> implements AssignmentAnswerFileService {




    @Override
    public List<List<AssignmentAnswerFile>> selectAssignmentAnswerFileById(List<Long> ids) {
        List<List<AssignmentAnswerFile>> allList=new ArrayList<List<AssignmentAnswerFile>>();
        if(!CollectionUtils.isEmpty(ids)) {
        	for(int i=0;i<ids.size();i++){
                AssignmentAnswerFile assignmentAnswerFile=new AssignmentAnswerFile();
                assignmentAnswerFile.setAnwserId(ids.get(i));
                assignmentAnswerFile.setType(1);//文件类型(1:作业答案,2:评阅回复)
                EntityWrapper<AssignmentAnswerFile> wrapper=new EntityWrapper<AssignmentAnswerFile>(assignmentAnswerFile);
                List<AssignmentAnswerFile> answerFiles=selectList(wrapper);           //一个学生对应的多个文件
                allList.add(answerFiles);
            }
        	return allList;
        }
        else {
        	 return allList;
        }  
    }
    
	@Override
	public List<AssignmentAnswerFile> listAssignmentAnswerFile(Long id) {
		// TODO Auto-generated method stub
		 AssignmentAnswerFile assignmentAnswerFile=new AssignmentAnswerFile();
         assignmentAnswerFile.setAnwserId(id);
         assignmentAnswerFile.setType(1); //文件类型(1:作业答案,2:评阅回复)
         EntityWrapper<AssignmentAnswerFile> wrapper=new EntityWrapper<AssignmentAnswerFile>(assignmentAnswerFile);
         List<AssignmentAnswerFile> answerFiles=selectList(wrapper);
		return answerFiles;
	}
	
	
	@Override
	public List<AssignmentAnswerFile> listAssignmentAnswerBackFile(Long id) {
		// TODO Auto-generated method stub
		AssignmentAnswerFile assignmentAnswerFile=new AssignmentAnswerFile();
        assignmentAnswerFile.setAnwserId(id);
        assignmentAnswerFile.setType(2); //文件类型(1:作业答案,2:评阅回复)
        EntityWrapper<AssignmentAnswerFile> wrapper=new EntityWrapper<AssignmentAnswerFile>(assignmentAnswerFile);
        List<AssignmentAnswerFile> answerFiles=selectList(wrapper);
		return answerFiles;
	}	
	
	
	@Override
	public Boolean deleteAnswerFile(Long assignmentId) {
		// TODO Auto-generated method stub
		AssignmentAnswerFile assignmentAnswerFile=new AssignmentAnswerFile();
        assignmentAnswerFile.setAnwserId(assignmentId);
        assignmentAnswerFile.setType(2);
        EntityWrapper<AssignmentAnswerFile> wrapper=new EntityWrapper<AssignmentAnswerFile>(assignmentAnswerFile);
		return this.delete(wrapper);
	}
	@Override
	public List<AssignmentAnswerFile> listGetAssignmentAnswerFile(Long answerId, Integer type) {
		// TODO Auto-generated method stub
		 AssignmentAnswerFile assignmentAnswerFile=new AssignmentAnswerFile();
         assignmentAnswerFile.setAnwserId(answerId);
         assignmentAnswerFile.setType(type);
         EntityWrapper<AssignmentAnswerFile> wrapper=new EntityWrapper<AssignmentAnswerFile>(assignmentAnswerFile);
         List<AssignmentAnswerFile> answerFiles=selectList(wrapper);
		return answerFiles;
	}

    @Override
    public Integer verifyVideo(List<Long> ids) {
        return this.baseMapper.verifyVideo(ids);
    }


}
