package com.yizhi.application.service.impl;

import com.yizhi.application.entity.AssignmentAuditor;
import com.yizhi.application.mapper.AssignmentAuditorMapper;
import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.application.service.AssignmentAuditorService;
import com.yizhi.assignment.application.vo.ListAuditor;
import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 作业和评阅人的对应关系 服务实现类
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
@Transactional
@Service
public class AssignmentAuditorServiceImpl extends ServiceImpl<AssignmentAuditorMapper, AssignmentAuditor> implements AssignmentAuditorService {

	@Autowired
	private IdGenerator id;
	@Override
	public List<Long> relationAuditor(Long assignmentId) {
		// TODO Auto-generated method stub
		AssignmentAuditor assignmentAuditor=new AssignmentAuditor();
		assignmentAuditor.setAssignmentId(assignmentId);
		EntityWrapper<AssignmentAuditor> wrapper=new EntityWrapper<AssignmentAuditor>(assignmentAuditor);
		List<AssignmentAuditor> list=this.selectList(wrapper);
		List<Long> listLong=new ArrayList<Long>();
		if(list!=null&&list.size()>0) {
			for (int i = 0; i < list.size(); i++) {
				listLong.add(list.get(i).getAccountId());
			}
		}
		return listLong;
	}
	@Override
	public Boolean auditorInsert(ListAuditor listAuditor) {
		// TODO Auto-generated method stub
		//先删除再添加新的
		AssignmentAuditor assignmentAuditorDelete=new AssignmentAuditor();
		assignmentAuditorDelete.setAssignmentId(listAuditor.getAssignmentId());
		EntityWrapper<AssignmentAuditor> wrapper=new EntityWrapper<AssignmentAuditor>(assignmentAuditorDelete);
		this.delete(wrapper);

		List<com.yizhi.assignment.application.vo.entity.AssignmentAuditor> listAuditorVOList = listAuditor.getListAuditor();
		List<AssignmentAuditor> list = new ArrayList<>();
		listAuditorVOList.forEach(assignmentAuditorVO -> {
			AssignmentAuditor assignmentAuditor = new AssignmentAuditor();
			BeanUtils.copyProperties(assignmentAuditorVO,assignmentAuditor);
			list.add(assignmentAuditor);
		});

		//List<AssignmentAuditor> list=listAuditor.getListAuditor();
		if(list!=null) {
			AssignmentAuditor assignmentAuditor=null;
			for (int i = 0; i < list.size(); i++) {
				assignmentAuditor=new AssignmentAuditor();
				assignmentAuditor.setId(id.generate());
				assignmentAuditor.setAccountId(list.get(i).getAccountId());
				assignmentAuditor.setAssignmentId(listAuditor.getAssignmentId());
				assignmentAuditor.setCreateById(listAuditor.getContextHolder().getAccountId());
				assignmentAuditor.setCreateByName(listAuditor.getContextHolder().getAccountName());
				assignmentAuditor.setCreateTime(new Date());
				this.insert(assignmentAuditor);
			}
		}
		return true;
	}
}
